package com.qhclh.ytzh.work.Hatchery;

/**
 * Created by 青花瓷 on 2018/3/23.
 */

public class HatcheryReportBean {
    private long ID;
    private String HatchIncubateDate ;
    private String BreedFactory_Name;
    private String WeekAge;
    private String HatchIncubateNumber;
    private String NumberSurvival_HatchDownTray;
    private String NumberDead_HatchDownTray;
    private String Number_HatchChickOut_Estimated;
    private String SurvivalyRate;
    private String DeadRate;

    public HatcheryReportBean(long ID, String hatchIncubateDate, String breedFactory_Name, String weekAge, String hatchIncubateNumber, String numberSurvival_HatchDownTray, String numberDead_HatchDownTray, String number_HatchChickOut_Estimated, String survivalyRate, String deadRate) {
        this.ID = ID;
        HatchIncubateDate = hatchIncubateDate;
        BreedFactory_Name = breedFactory_Name;
        WeekAge = weekAge;
        HatchIncubateNumber = hatchIncubateNumber;
        NumberSurvival_HatchDownTray = numberSurvival_HatchDownTray;
        NumberDead_HatchDownTray = numberDead_HatchDownTray;
        Number_HatchChickOut_Estimated = number_HatchChickOut_Estimated;
        SurvivalyRate = survivalyRate;
        DeadRate = deadRate;
    }

    public long getID() {
        return ID;
    }

    public void setID(long ID) {
        this.ID = ID;
    }

    public String getHatchIncubateDate() {
        return HatchIncubateDate;
    }

    public void setHatchIncubateDate(String hatchIncubateDate) {
        HatchIncubateDate = hatchIncubateDate;
    }

    public String getBreedFactory_Name() {
        return BreedFactory_Name;
    }

    public void setBreedFactory_Name(String breedFactory_Name) {
        BreedFactory_Name = breedFactory_Name;
    }

    public String getWeekAge() {
        return WeekAge;
    }

    public void setWeekAge(String weekAge) {
        WeekAge = weekAge;
    }

    public String getHatchIncubateNumber() {
        return HatchIncubateNumber;
    }

    public void setHatchIncubateNumber(String hatchIncubateNumber) {
        HatchIncubateNumber = hatchIncubateNumber;
    }

    public String getNumberSurvival_HatchDownTray() {
        return NumberSurvival_HatchDownTray;
    }

    public void setNumberSurvival_HatchDownTray(String numberSurvival_HatchDownTray) {
        NumberSurvival_HatchDownTray = numberSurvival_HatchDownTray;
    }

    public String getNumberDead_HatchDownTray() {
        return NumberDead_HatchDownTray;
    }

    public void setNumberDead_HatchDownTray(String numberDead_HatchDownTray) {
        NumberDead_HatchDownTray = numberDead_HatchDownTray;
    }

    public String getNumber_HatchChickOut_Estimated() {
        return Number_HatchChickOut_Estimated;
    }

    public void setNumber_HatchChickOut_Estimated(String number_HatchChickOut_Estimated) {
        Number_HatchChickOut_Estimated = number_HatchChickOut_Estimated;
    }

    public String getSurvivalyRate() {
        return SurvivalyRate;
    }

    public void setSurvivalyRate(String survivalyRate) {
        SurvivalyRate = survivalyRate;
    }

    public String getDeadRate() {
        return DeadRate;
    }

    public void setDeadRate(String deadRate) {
        DeadRate = deadRate;
    }

    @Override
    public String toString() {
        return "HatcheryReportBean{" +
                "ID=" + ID +
                ", HatchIncubateDate='" + HatchIncubateDate + '\'' +
                ", BreedFactory_Name='" + BreedFactory_Name + '\'' +
                ", WeekAge='" + WeekAge + '\'' +
                ", HatchIncubateNumber='" + HatchIncubateNumber + '\'' +
                ", NumberSurvival_HatchDownTray='" + NumberSurvival_HatchDownTray + '\'' +
                ", NumberDead_HatchDownTray='" + NumberDead_HatchDownTray + '\'' +
                ", Number_HatchChickOut_Estimated='" + Number_HatchChickOut_Estimated + '\'' +
                ", SurvivalyRate='" + SurvivalyRate + '\'' +
                ", DeadRate='" + DeadRate + '\'' +
                '}';
    }
}
